Package com.independentsoft.office.odf.styles

# Enum Class LineStyle

java.lang.Object
java.lang.Enum<LineStyle>
com.independentsoft.office.odf.styles.LineStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<LineStyle>`, `Constable`

public enum LineStyle extends Enum<LineStyle>
Represents the style of a footnote separator line.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DASH`
  The footnote separator components referenced by the values dash.
  `DOT_DASH`
  The footnote separator components referenced by the values dot dash.
  `DOT_DOT_DASH`
  The footnote separator components referenced by the values dot dot dash.
  `DOTTED`
  The footnote separator components referenced by the values dotted.
  `LONG_DASH`
  The footnote separator components referenced by the values long dash.
  `NONE`
  None.
  `SOLID`
  The footnote separator components referenced by the values solid.
  `WAVE`
  The footnote separator components referenced by the values wave.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LineStyle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static LineStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SOLID

    public static final LineStyle SOLID
    The footnote separator components referenced by the values solid.

  - ### DOTTED

    public static final LineStyle DOTTED
    The footnote separator components referenced by the values dotted.

  - ### DASH

    public static final LineStyle DASH
    The footnote separator components referenced by the values dash.

  - ### LONG_DASH

    public static final LineStyle LONG_DASH
    The footnote separator components referenced by the values long dash.

  - ### DOT_DASH

    public static final LineStyle DOT_DASH
    The footnote separator components referenced by the values dot dash.

  - ### DOT_DOT_DASH

    public static final LineStyle DOT_DOT_DASH
    The footnote separator components referenced by the values dot dot dash.

  - ### WAVE

    public static final LineStyle WAVE
    The footnote separator components referenced by the values wave.

  - ### NONE

    public static final LineStyle NONE
    None.

- ## Method Details

  - ### values

    public static LineStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LineStyle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null